# `deleteEndpoint` ( global in module `jsPlumb` )

## Description

Deletes the given Endpoint.

      jsPlumb.deleteEndpoint(someEndpoint)

## Parameters

- `object – {object} –`

  Either a string, representing the endpoint's uuid, or an Endpoint.

- `doNotRepaintAfterwards – {boolean} –`

  Defaults to false. Indicates whether or not to repaint everything after this call.

## Returns

`{object}` –

The current jsPlumb instance.